cURL
curl --request GET \ --url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories \ --header 'Authorization: Bearer <token>'
{ "items": [ { "git_connection_host": "<string>", "git_connection_id": "<string>", "indexing_status": { "indexing_enabled": true, "latest_completed_search_index_job": { "branch_name": "<string>", "commit": "<string>", "created_at": 123, "job_id": "<string>", "status": "failed" }, "latest_completed_wiki_index_job": { "branch_name": "<string>", "commit": "<string>", "created_at": 123, "job_id": "<string>", "status": "failed" }, "latest_indexes": [ { "branch_name": "<string>", "commit": "<string>", "created_at": 123, "job_id": "<string>", "status": "failed" } ] }, "last_updated_at": 123, "provider_repository_id": "<string>", "repo_description": "<string>", "repo_language": "<string>", "repo_name": "<string>", "repo_path": "<string>" } ], "end_cursor": "<string>", "has_next_page": false, "total": 123 }
Read
サービスユーザーの認証情報(接頭辞: cog_)
1 <= x <= 100
成功レスポンス
表示 子属性
次のページを取得するためのカーソル。最後のページでは None になります。
このページの後にさらに項目が存在するかどうか。
任意の総件数(パフォーマンス上の理由で省略される場合があります)。